# Function ngClickAriaDirective

- ngClickAriaDirective($aria, $parse): {
  restrict: string;
  compile(elem: any, attr: any): ((scope: any, elem: any, attr: any) => void);
  }

- #### Parameters

  - $aria: any
  - $parse: any

  #### Returns {
  restrict: string;
  compile(elem: any, attr: any): ((scope: any, elem: any, attr: any) => void);
  }

  - ##### restrict: string

  - ##### compile:function

    - compile(elem, attr): ((scope: any, elem: any, attr: any) => void)

    - #### Parameters

      - elem: any
      - attr: any

      #### Returns ((scope: any, elem: any, attr: any) => void)

      - - (scope, elem, attr): void

        - #### Parameters

          - scope: any
          - elem: any
          - attr: any

          #### Returns void

      - Defined in directive/aria/aria.js:120
  - Defined in directive/aria/aria.js:117

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in directive/aria/aria.js:116